Skills
List skill versions
List every immutable version of one Skill, newest first.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
skill_id*string
Resource identifier: skill_id.
Format
uuidQuery Parameters
cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/skills/123e4567-e89b-42d3-a456-426614174000/versions"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "definition": {}, "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b", "change_note": "Initial version", "created_at": "2026-09-04T12:00:00Z" } ], "next_cursor": null}